package seat.ui.algorithm;

import seat.model.core.dynamic.Node;

/**
 * Interface for processing(compress) starting from any given subtree.
 * That ie, node besides root. 
 */

public interface ICompressNode {
	/**
	 * Processes from given subtree node
	 * @param node: the starting of subtree
	 */
	public void process(Node node);
	
	/**
	 * Unod the process from given subtree.
	 * @param node: the startinf subtree
	 */
	public void unprocess(Node node);
}
