
package seat.ui.algorithm;

import seat.model.core.dynamic.Node;

/**
 * This class is used to record the state integer of a node.
 * The initial states can be recorded when trace is first loaded
 * and no further filtering is doen yet.
 */
public class NodeState {
	private Node node;
	private int state;	
	public NodeState(Node node) {
		this.node=node;
		this.state=node.getBits();
	}
	public Node getNode() {
		return node;
	}
	public int getState() {
		return state;
	}
}
