/*
 * Created on May 7, 2004
 * 
 * Basic class used to init with a PartialTreeViewer.
 * All listener should inherit this class. 
 */
package seat.ui.tree.viewer;

import seat.ui.tree.partial.IDynamicTree;

/**
 */
public class TreeListener {
	protected ITraceViewer treeViewer; // primary control for the event
	protected IDynamicTree partialTree;

	/**
	 * 
	 */
	public TreeListener(ITraceViewer treeViewer) {
		this.treeViewer=treeViewer;
		this.partialTree=treeViewer.getTree();
	}

}
