/*******************************************************************************
 * SEAT UI
 * 2003-2004 	
 ********************************************************************************/

package seat;

import org.eclipse.core.resources.IProject;

/**
 * Class with fields to hold transient data for plugin runtime.
 * For example, Data such as trace type, projects are passed from a user dialog wizards to editor.
 */
public class SeatExtra {
	public int traceType=-1;					 // type of trace: routine or OO
	public IProject[] traceSourceProjects=null;  // projects with source code that related to the trace
	public IProject currentProject=null;		 // current project	
}
