package seat.ui.actions;

/**
 * Updates a helper view to reflect the changes in the editor. 
 * The helper is used as the feedback to the user.
 */
public interface IViewUpdater {
	/**
	 * Updates the given view with data chages, and switches and makes
	 * that view current if parameter is set.
	 * 
	 * @param viewId: view id
	 * @param makeViewCurrent: if switch to this view or not.
	 */
	public void updateView(String viewId, boolean makeViewCurrent);
}
